Get Libraries
curl --request POST \
--url https://document-assistant.us.aodocs.app/assistant/api/v1/tenants/{tenant}/libraries:get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
"<string>"
]'import requests
url = "https://document-assistant.us.aodocs.app/assistant/api/v1/tenants/{tenant}/libraries:get"
payload = ["<string>"]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify(['<string>'])
};
fetch('https://document-assistant.us.aodocs.app/assistant/api/v1/tenants/{tenant}/libraries:get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"state": "<string>",
"use_default_capabilities": true,
"capabilities": [],
"indexation_status": {
"documents_in_library": 123,
"indexed_documents": 123,
"estimated_minutes_to_completion": 123
},
"statistics": {
"documents_in_library": 123,
"indexed_documents": 123,
"updated_at": "2023-11-07T05:31:56Z"
},
"default_agent_id": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}library
Get Libraries
Get the configurations of libraries
POST
/
assistant
/
api
/
v1
/
tenants
/
{tenant}
/
libraries:get
Get Libraries
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The domain of the customer
Example:
"example.com"
Body
application/json
Response
Successful Response
Whether this library uses tenant default capabilities.
List of library capabilities
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Default agent ID for this library, overrides tenant default.